Contents

# ChDir Statement

Changes the current directory or drive.

Some DOS-specific file and directory functions are no longer provided in LibreOffice, or their function is only limited. For example, support for the ChDir, ChDrive and CurDir functions is not provided. Some DOS-specific properties are no longer used in functions that expect file properties as parameters (for example, to differentiate from concealed files and system files). This ensures the greatest possible level of platform independence for LibreOffice. Therefore this feature is subject to removal in a future release.

The ScriptForge library in LibreOffice 7.1 introduces the FileSystem service with methods to handle files and folders in user scripts.

### Syntax:

    ChDir Teksts As String

### Parameters:

Text: Any string expression that specifies the directory path or drive.

If you only want to change the current drive, enter the drive letter followed by a colon.

### Error codes:

5 Nederīgs procedūras izsaukums

76 Ceļš nav atrasts

### Example:

      Sub ExampleChDir
          Dim sDir1 As String, sDir2 As String
          sDir1 = "C:\Test"
          sDir2 = "D:\Private"
          ChDir( sDir1 )
          MsgBox CurDir
          ChDir( sDir2 )
          MsgBox CurDir
      End Sub

Saistītie temati

ScriptForge.FileSystem service

ScriptForge.TextStream service